Overview | Package | Class | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package org.w3c.tools.resources.store

Interface Summary
ResourceStore | A resource store implements persistency for a set of resources.

Class Summary
NewStoreEntry |
ResourceStoreImpl | A generic resource store that keeps resource in a file using the Serializer interface.
ResourceStoreManager |
ResourceStoreState |

Exception Summary
InvalidStoreClassException | A store is being loaded by a class who didn't write it.
NotAStoreException | This is exception gets thrown if an invalid resource store is detected.
StoreClassVersionException | This is exception gets thrown if an invalid resource store is detected.
UnknownResourceException |

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES